<?xml version="1.0" encoding="UTF-8"?>
<panel version="14">
 <properties>
  <prop name="Name">
   <prop name="en_US.utf8"></prop>
  </prop>
  <prop name="Size">1482 732</prop>
  <prop name="BackColor">_3DFace</prop>
  <prop name="RefPoint">10 60</prop>
  <prop name="InitAndTermRef">True</prop>
  <prop name="SendClick">False</prop>
  <prop name="RefFileName"></prop>
  <prop name="DPI">95.91608391608392</prop>
  <prop name="layoutType">VBox</prop>
 </properties>
 <events>
  <script name="ScopeLib" isEscaped="1"><![CDATA[#uses &quot;AlarmScreenNg/AlarmScreenNgEwo.ctl&quot;
#uses &quot;fwAlarmScreenNg/AlarmScreenJCOP.ctl&quot;
#uses &quot;AlarmScreenNg/classes/AsNgAccessControl.ctl&quot;  // to check access control and update elements of EWO

/// Access control instance, to modify EWO appearance
AsNgAccessControl m_access;]]></script>
  <script name="Initialize" isEscaped="1"><![CDATA[main()
{
  if(!m_access.connect())
  {
    ChildPanelOnCentralModal(
        &quot;vision/MessageWarning&quot;,
        getCatStr(&quot;sc&quot;, &quot;attention&quot;),
        makeDynString(&quot;$1:&quot; + m_access.getError()));
  }
  else
  {
    m_access.setNotifier(&quot;textNotifier&quot;);
  }

  AsEwo.ownerPanelReady();
  sysConnect(&quot;SysConnectCB&quot;, &quot;dist&quot;);
}

void SysConnectCB(string sReason, mapping mValue)
{
  AsEwo.sysConnectDist(mValue);
}
]]></script>
 </events>
 <shapes>
  <shape Name="AsEwo" shapeType="GENERIC" layerId="0">
   <properties>
    <prop name="serialId">1</prop>
    <prop name="Type"></prop>
    <prop name="RefPoint">9 -407.3556085918816</prop>
    <prop name="Enable">True</prop>
    <prop name="Visible">True</prop>
    <prop name="ForeColor">_3DText</prop>
    <prop name="BackColor">_3DFace</prop>
    <prop name="TabOrder">0</prop>
    <prop name="ToolTipText">
     <prop name="en_US.utf8"></prop>
     <prop name="en_US.iso88591"></prop>
    </prop>
    <prop name="sizePolicy">
     <sizePolicy vertical="Expanding" horizontal="Expanding"/>
    </prop>
    <prop name="layoutAlignment">AlignNone</prop>
    <prop name="snapMode">Point</prop>
    <prop name="Font">
     <prop name="en_US.utf8">Sans Serif,-1,12,5,50,0,0,0,0,0</prop>
     <prop name="en_US.iso88591">Sans Serif,-1,12,5,50,0,0,0,0,0</prop>
    </prop>
    <prop name="Location">9 46</prop>
    <prop name="Size">1464 677</prop>
    <prop name="ObjectType">AS.ewo</prop>
    <extended>
     <prop type="ENUM" name="logSeverity">2</prop>
     <prop type="CHAR_STRING" name="basicConfigDp">_NgAsConfig_JCOP</prop>
     <prop type="ENUM" name="showFilterView">0</prop>
     <prop type="CHAR_STRING" name="separatorCSV">|</prop>
     <script name="mouseEvent" isEscaped="1"><![CDATA[mouseEvent(mapping &amp;mArgs)
{
  AlarmScreenNgEwo_mouseEvent(mArgs);
}]]></script>
     <script name="ctrlActionRequested" isEscaped="1"><![CDATA[ctrlActionRequested(mapping &amp;mArgs)
{
  AlarmScreenNgEwo_ctrlActionRequested(mArgs);
}]]></script>
     <script name="customAction" isEscaped="1"><![CDATA[customAction(mapping &amp;mArgs)
{
  DebugN(__FUNCTION__ + &quot;(): mArgs&quot;, mArgs);
}]]></script>
    </extended>
   </properties>
  </shape>
  <shape Name="backgroundRectangle" shapeType="RECTANGLE" layerId="0">
   <properties>
    <prop name="serialId">2</prop>
    <prop name="Type"></prop>
    <prop name="RefPoint">920 96</prop>
    <prop name="Enable">True</prop>
    <prop name="Visible">True</prop>
    <prop name="ForeColor">_Transparent</prop>
    <prop name="BackColor">FwCorporateColor</prop>
    <prop name="TabOrder">1</prop>
    <prop name="ToolTipText">
     <prop name="en_US.utf8"></prop>
     <prop name="en_US.iso88591"></prop>
    </prop>
    <prop name="minimumSize">-1 31</prop>
    <prop name="maximumSize">-1 31</prop>
    <prop name="sizePolicy">
     <sizePolicy vertical="Fixed" horizontal="Preferred"/>
    </prop>
    <prop name="layoutAlignment">AlignTop</prop>
    <prop name="snapMode">Point</prop>
    <prop name="DashBackColor">_Transparent</prop>
    <prop name="AntiAliased">False</prop>
    <prop name="LineType">[solid,oneColor,JoinBevel,CapButt,1]</prop>
    <prop name="BorderZoomable">False</prop>
    <prop name="FillType">[solid]</prop>
    <prop name="Geometry">1.151968503937004 0 0 1 10.151968503937 10</prop>
    <prop name="BorderStyle">Normal</prop>
    <prop name="Location">-1 -1</prop>
    <prop name="Size">1271 31</prop>
    <prop name="CornerRadius">0</prop>
    <prop name="Transformable">True</prop>
   </properties>
  </shape>
  <shape Name="PRIMITIVE_TEXT1" shapeType="PRIMITIVE_TEXT" layerId="0">
   <properties>
    <prop name="serialId">4</prop>
    <prop name="Type"></prop>
    <prop name="RefPoint">169 13</prop>
    <prop name="Enable">True</prop>
    <prop name="Visible">True</prop>
    <prop name="ForeColor">white</prop>
    <prop name="BackColor">_Window</prop>
    <prop name="TabOrder">2</prop>
    <prop name="ToolTipText">
     <prop name="en_US.utf8"></prop>
    </prop>
    <prop name="layoutAlignment">AlignNone</prop>
    <prop name="snapMode">Point</prop>
    <prop name="DashBackColor">_Transparent</prop>
    <prop name="AntiAliased">False</prop>
    <prop name="LineType">[solid,oneColor,JoinBevel,CapProjecting,1]</prop>
    <prop name="BorderZoomable">False</prop>
    <prop name="FillType">[outline]</prop>
    <prop name="Location">169 13</prop>
    <prop name="Font">
     <prop name="en_US.utf8">Sans Serif,-1,19,5,50,0,0,0,0,0</prop>
    </prop>
    <prop name="Text">
     <prop name="en_US.utf8">NextGen Alarm Screen (Beta)</prop>
    </prop>
    <prop name="Distance">2</prop>
    <prop name="BorderOffset">2</prop>
    <prop name="Bordered">False</prop>
    <prop name="Fit">True</prop>
    <prop name="Transformable">False</prop>
    <prop name="TextFormat">[0s,,,AlignHCenter]</prop>
   </properties>
  </shape>
  <shape Name="textNotifier" shapeType="TEXT_FIELD" layerId="0">
   <properties>
    <prop name="serialId">6</prop>
    <prop name="Type"></prop>
    <prop name="RefPoint">12 12.55555555555559</prop>
    <prop name="Enable">True</prop>
    <prop name="Visible">False</prop>
    <prop name="ForeColor">_WindowText</prop>
    <prop name="BackColor">red</prop>
    <prop name="TabOrder">3</prop>
    <prop name="ToolTipText">
     <prop name="en_US.utf8"></prop>
    </prop>
    <prop name="maximumSize">15 15</prop>
    <prop name="layoutAlignment">AlignNone</prop>
    <prop name="snapMode">Point</prop>
    <prop name="Font">
     <prop name="en_US.utf8">Sans Serif,-1,12,5,50,0,0,0,0,0</prop>
    </prop>
    <prop name="Location">12 11</prop>
    <prop name="Size">15 15</prop>
    <prop name="BorderStyle">Normal</prop>
    <prop name="Editable">True</prop>
    <prop name="TextFormat">[0s,,,AlignLeft]</prop>
    <prop name="ulcClientSideWidget">False</prop>
   </properties>
   <events>
    <script name="TextChanged" isEscaped="1"><![CDATA[main(string newText)
{
  dyn_string dsAllActions = AsEwo.getAllActions();
  for(int n = dynlen(dsAllActions) ; n &gt; 0 ; n--)
  {
    string sAction = dsAllActions[n];
    int iAccessLevel = m_access.getAccessLevel(sAction);
    AsEwo.setActionEnabled(sAction, iAccessLevel);
  }
}]]></script>
   </events>
  </shape>
 </shapes>
 <groups>
  <layout parentSerial="-1" Name="LAYOUT_GROUP3" serial="0">
   <properties>
    <prop idx="1" name="shapeSerial">1</prop>
    <prop idx="0" name="shapeSerial">2</prop>
    <prop name="isContainerShape">False</prop>
    <prop name="layoutType">VBox</prop>
   </properties>
  </layout>
 </groups>
</panel>
